# Class FormSubmittingDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:20

#####
Index

### Constructors

constructor

### Properties

formDirective
subscription?
template
viewContainerRef

### Methods

ngAfterViewInit
ngOnDestroy

## Constructors

### constructor

- new FormSubmittingDirective(formDirective, template, viewContainerRef): FormSubmittingDirective

- #### Parameters

  - formDirective: FormDirective<any>
  - template: TemplateRef<void>
  - viewContainerRef: ViewContainerRef

  #### Returns FormSubmittingDirective

  - Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:24

## Properties

### `Private` `Readonly` formDirective

formDirective: FormDirective<any>

- Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:25

### `Private` `Optional` subscription

subscription?: Subscription

- Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:22

### `Private` `Readonly` template

template: TemplateRef<void>

- Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:26

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:27

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:31

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-submitting.directive.ts:43